Package oracle.jdbc.replay

## Class OracleDataSourceFactory

- java.lang.Object
- - oracle.jdbc.replay.OracleDataSourceFactory

    public class OracleDataSourceFactory
    extends Object

Data source factory for creating instances of `OracleDataSource`, `OracleConnectionPoolDataSource`, and `OracleXADataSource` that provide transparent failover replay support.

### Constructor Summary

Constructors
`OracleDataSourceFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleConnectionPoolDataSource` `getOracleConnectionPoolDataSource()` Obtains an `OracleConnectionPoolDataSource` instance.
`static OracleDataSource` `getOracleDataSource()` Obtains an `OracleDataSource` instance.
`static OracleXADataSource` `getOracleXADataSource()` Obtains an `OracleXADataSource` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OracleDataSourceFactory

    public OracleDataSourceFactory()

### Method Detail

#### getOracleDataSource

    public static OracleDataSource getOracleDataSource()
                                                throws SQLException

Obtains an `OracleDataSource` instance.

Returns:
  An `OracleDataSource` instance.
Throws:
  `SQLException`

#### getOracleConnectionPoolDataSource

    public static OracleConnectionPoolDataSource getOracleConnectionPoolDataSource()
                                                                            throws SQLException

Obtains an `OracleConnectionPoolDataSource` instance.

Returns:
  An `OracleConnectionPoolDataSource` instance.
Throws:
  `SQLException`

#### getOracleXADataSource

    public static OracleXADataSource getOracleXADataSource()
                                                    throws SQLException

Obtains an `OracleXADataSource` instance.

Returns:
  An `OracleXADataSource` instance.
Throws:
  `SQLException`